
<?php
     if(DEBUG){
        $t = new Table();
        echo '<pre>';
        echo '<ol>';
        echo 'BACK TRACE';
        foreach (  $t->adodb->showQAll()  as $value){
            if(is_array($value)){
                echo '<li > <a href="#" class="show-back-trace">Show Back Trace</a> <ul style="display:none;" class="back-trace"><li>';
                echo '<pre style="background-color:#fff;">'; 
                print_r($value);
                echo '</pre>'; 
                echo '</li></ul></li>';
            }   else {
                echo '<li>'.($value).'</li>';
            }
        }
        //  echo '<li>'.join('</li><li>' ,  $t->adodb->showQAll()).'</li>';
        echo '</ol>';
        echo '</pre>';

    ?>
    <script type="text/javascript">
        $(document).ready ( function () {
                $(".show-back-trace").click ( function (e) {
                        e.preventDefault();
                        $(this).closest("li").find(".back-trace").toggle();
                }); 
        });
    </script>
    <?php
     }
?>

</div>
</body>
</html>
<?php ob_flush(); ?>